﻿(function (app) {
    app.config(["$stateProvider", "$urlRouterProvider", function ($stateProvider, $urlRouterProvider) {
        $stateProvider
          .state('login', {
              url: '/account/login',
              templateUrl: 'templates/account/login.html',
              controller: 'loginCtrl'
          })
         .state('register', {
             url: '/account/register',
             templateUrl: 'templates/account/register.html',
             controller: 'registerCtrl'
         })
        .state('forgetPassword', {
            url: '/account/forgetPassword',
            templateUrl: 'templates/account/forgetPassword.html',
            controller: 'forgetPasswordCtrl'
            })
          .state('wl', {
              url: '/wl',
              abstract: true,
              templateUrl: 'templates/tabs.html'
          })
         //货源管理
        .state('wl.goods', {  
            url: '/goods',
            views: {
                'wl-goods': {
                    templateUrl: 'templates/goods/index.html',
                    controller: 'goodsCtrl'
                }
            }
        })
        .state('wl.goods_add', {
            url: '/goods/add',
            views: {
                'wl-goods': {
                    templateUrl: 'templates/goods/add.html',
                    controller: 'goodsAddCtrl'
                }
            }
        })
        .state('wl.goods_detail', {
            url: '/goods/detail',
            params: { item: null },
            views: {
                'wl-goods': {
                    templateUrl: 'templates/goods/detail.html',
                    controller: 'goodsDetailCtrl'
                }
            }
        })
        //车源管理
        .state('wl.car', {
            url: '/car',
            views: {
                'wl-car': {
                    templateUrl: 'templates/car/index.html',
                    controller: 'carCtrl'
                }
            }
        })
        .state('wl.car_detail', {
                url: '/car/detail',
                views: {
                    'wl-car': {
                        templateUrl: 'templates/car/detail.html',
                        controller: 'carDetailCtrl'
                    }
                }
        })
       
        //个人中心
        .state('wl.my', {
            url: '/my',
            views: {
                'wl-my': {
                    templateUrl: 'templates/my/index.html',
                    controller: 'myCtrl'
                }
            }
        })
        .state('wl.my_setting', {
            url: '/my/setting',
            views: {
                'wl-my': {
                    templateUrl: 'templates/my/setting.html',
                    controller: 'mySettingCtrl'
                }
            }
        })
        .state('wl.my_setpassword', {
            url: '/my/setpassword',
            views: {
                'wl-my': {
                    templateUrl: 'templates/my/setpassword.html',
                    controller: 'mySetPasswordCtrl'
                }
            }
        })
         .state('wl.my_apply', {
             url: '/my/apply',
             views: {
                 'wl-my': {
                     templateUrl: 'templates/my/apply.html',
                     controller: 'myApplyCtrl'
                 }
             }
         })
      .state('wl.my_apply_profile', {
          url: '/my/apply/profile',
                   views: {
                       'wl-my': {
                           templateUrl: 'templates/my/apply-profile.html',
                           controller: 'myApplyProfileCtrl'
                       }
                   }
      })
             .state('wl.my_apply_job', {
                 url: '/my/apply/job',
                 views: {
                     'wl-my': {
                         templateUrl: 'templates/my/apply-job.html',
                         controller: 'myApplyJobCtrl'
                     }
                 }
             })
             .state('wl.my_apply_contact', {
                 url: '/my/apply/contact',
                 views: {
                     'wl-my': {
                         templateUrl: 'templates/my/apply-contact.html',
                         controller: 'myApplyContactCtrl'
                     }
                 }
             })
             .state('wl.my_apply_bank', {
                 url: '/my/apply/bank',
                 views: {
                     'wl-my': {
                         templateUrl: 'templates/my/apply-bank.html',
                         controller: 'myApplyBankCtrl'
                     }
                 }
             })
        .state('wl.my_profile', {
            url: '/my/profile',
            views: {
                'wl-my': {
                    templateUrl: 'templates/my/profile.html',
                    controller: 'myProfileCtrl'
                }
            }
        })
        .state('wl.my_fenqi', {
            url: '/my/fenqi',
            views: {
                'wl-my': {
                    templateUrl: 'templates/my/fenqi.html',
                    controller: 'myFenqiCtrl'
                }
            }
        })
        .state('wl.my_fenqi_wait', {
            url: '/my/fenqi/wait',
                 views: {
                     'wl-my': {
                         templateUrl: 'templates/my/fenqi-wait.html',
                         controller: 'myFenqiWaitCtrl'
                     }
                 }
             })
        .state('wl.my_fenqi_success', {
            url: '/my/fenqi/success',
            views: {
                'wl-my': {
                    templateUrl: 'templates/my/fenqi-success.html',
                    controller: 'myFenqiSuccessCtrl'
                }
            }
        })
        .state('wl.my_sudai', {
            url: '/my/sudai',
            views: {
                'wl-my': {
                    templateUrl: 'templates/my/sudai.html',
                    controller: 'mySudaiCtrl'
                }
            }
        });

        $urlRouterProvider.otherwise('/wl/goods');
    }]);
})(angular.module('app'));